Remove file from collection
curl --request DELETE \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file} \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"outcome": "applied",
"replayed": true,
"data": {
"kind": "file_organize",
"mode": "managed_atomic",
"outcome": "applied",
"operation": "describe",
"replayed": true,
"request_id": "<string>",
"delta_id": "<string>",
"subject_id": "<string>",
"file_id": "<string>",
"name": "<string>",
"description": "<string>",
"present": true,
"base_revision": 0,
"committed_revision": 0,
"effect_id": "<string>",
"sealed_at": "<string>",
"timings_ms": {},
"node_id": "<string>",
"node_revision": 0,
"canonical_path": "<string>",
"effect_receipt_ref": "<string>",
"title": "<string>",
"tags": [
"<string>"
],
"version_id": "<string>",
"source_date": "<string>",
"changed": true
}
}Collections
Remove file from collection
Remove a File from a collection.
Remove file from collection
curl --request DELETE \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file} \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"outcome": "applied",
"replayed": true,
"data": {
"kind": "file_organize",
"mode": "managed_atomic",
"outcome": "applied",
"operation": "describe",
"replayed": true,
"request_id": "<string>",
"delta_id": "<string>",
"subject_id": "<string>",
"file_id": "<string>",
"name": "<string>",
"description": "<string>",
"present": true,
"base_revision": 0,
"committed_revision": 0,
"effect_id": "<string>",
"sealed_at": "<string>",
"timings_ms": {},
"node_id": "<string>",
"node_revision": 0,
"canonical_path": "<string>",
"effect_receipt_ref": "<string>",
"title": "<string>",
"tags": [
"<string>"
],
"version_id": "<string>",
"source_date": "<string>",
"changed": true
}
}Operation ID:
http.collections.remove
DELETE /v1/orgs/{org}/projects/{project}/files/collections/{collection}/files/{file}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
1–200 printable ASCII characters, no surrounding spaces; '.' and '..' are reserved. Reuse this key with the same request when retrying an uncertain outcome.
Required string length:
1 - 200Pattern:
^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$